---
title: "Get brand of doc group"
url: "https://docs.signnow.com/docs/general-branding/operations/get-v2-document-groups-document_group_id-brand"
type: "endpoint"
section: "general-branding"
slug: "general-branding/operations/get-v2-document-groups-document_group_id-brand"
method: "GET"
path: "/v2/document-groups/{document_group_id}/brand"
operation_id: "get-v2-document-groups-document_group_id-brand"
authorization: "bearer"
---

# Get brand of doc group

`GET /v2/document-groups/{document_group_id}/brand`

This endpoint allows users to retrieve branding that has been assigned to a document group.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `use_hierarchy` | string | No | Retrieve branding assigned specifically to the document group with or without branding of its parent application/organization. Possible values: `true` - show application/organization branding if no specific branding is assigned to the document group; `false` - show only the branding specifically assigned to the document group (if any).  |

## Responses

### 200

* Correct request with `use_hierarchy = true` if there is no brand assigned directly to the `document_group_id`. The response retrieves the branding that is lower in the hierarchy.
* Correct request with `use_hierarchy=false` if there is no brand assigned directly to the `document_group_id`. The response is empty.
* Correct request with a bearer token from a user authorized under application with no brand assigned.

**Example** (``use_hierarchy=false``)

```json
{
  "data": []
}
```

**Example** (``use_hierarchy = true``)

```json
{
  "data": {
    "title": "Brand number 2 name",
    "resources": {},
    "unique_id": "45XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "owner_type": "user"
  }
}
```

**Example** (`Application without brand_id`)

```json
{
  "data": []
}
```

### 400

Incorrect or missing token

**Example** (`no token/invalid token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

* Incorrect `document_group_id`
* `document_group_id` does not exist

**Example** (`Incorrect document_group_id`)

```json
{
  "404": "Unable to find a route to match the URI: v2/documents/567/brand"
}
```

**Example** (`document_group_id does not exist`)

```json
{
  "code": 25002062,
  "message": "Document group unique identifier does not exist."
}
```

### 422

`document_group_id` has been deleted

**Example** (`Example 1`)

```json
{
  "code": 25002067,
  "message": "Document group is not active."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/brand" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/general-branding/operations/get-v2-document-groups-document_group_id-brand*
